/***************************************

    This is part of frox: A simple transparent FTP proxy
    Copyright (C) 2000 James Hollingshead

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  configutil.h: exported configuration file parsing functions.

***************************************/


#ifndef CONFIGUTIL_H
#define CONFIGUTIL_H    /*+ To stop multiple inclusions. +*/

void strip_filename(const char *chroot, char *filename);

int store_address(struct in_addr *addr);
int store_port(u_int16_t *port);
int store_addressport(struct sockaddr_in *addr);
int store_addressrange(struct in_addr *addr, struct in_addr *msk);
int store_portrange(u_int16_t *lo, u_int16_t *hi);
int store_int(int *in);
int store_bool(int *in);
int store_string(char **buf);

#endif /* CONFIGUTIL_H */
